<div class="card">
    <h4 class="card-header">Adăugare medicament la rețetă</h4>
    <div class="card-body">
        <form [formGroup]="createPrescriptionForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="medication">Medicament</label>
                <select formControlName="medication" id="medication" class="form-control" (change)="updateMedicationId($event.target.value)">
                    <option *ngFor='let medication of medications' value="{{medication.id}}">{{medication.name}}, {{medication.brand}}</option>
                </select>
                <div *ngIf="fields.medication.touched && fields.medication.invalid" class="alert alert-danger">
                    <div *ngIf="fields.medication.errors!.required">Nu ați introdus medicamentul.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="dose">Doza</label>
                <input type="text" formControlName="dose" id="dose" class="form-control" />
                <div *ngIf="fields.dose.touched && fields.dose.invalid" class="alert alert-danger">
                    <div *ngIf="fields.dose.errors!.required">Doza este necesară.</div>
                </div>
            </div>
            <button type="submit" [disabled]="!createPrescriptionForm.valid" class="btn btn-primary">
                <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                Adăugare
            </button>
        </form>
    </div>
</div>
